Description

Hello,

I have a problem with VMware integration, menu Interface & VM are RED. When i enter in this menu i have a :

Error loading interfaces information: Internal Server Error

 
Error loading virtual machine information: Internal Server Error

 
2015-12-03T11:35:38 [app] [I] Processing by HostsController#compute_resource_selected as */*

2015-12-03T11:35:38 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"de9jlQRAZzLVhvZdN

en5pOW9E3izSLZL8NDgHBo1bzg=", "host"=>{"name"=>"", "hostgroup_id"=>"", "compute_resource_id"=>"2",

 "environment_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true", "progre

ss_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>

"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "

managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}, "n

ew_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"",

 "domain_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag

"=>"", "attached_to"=>""}}, "architecture_id"=>"", "provision_method"=>"build", "build"=>"1", "dis

k"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"2-Users", "enabled"=>"1", "model_id"=>"", "comm

ent"=>"", "overwrite"=>"false"}, "fakepassword"=>"[FILTERED]"}

2015-12-03T11:35:38 [sql] [I] Successfully decrypted field for Foreman::Model::Vmware HIDE

2015-12-03T11:35:38 [app] [I] Started POST "/hosts/interfaces" for 192.168.100.60 at 2015-12-03 11

:35:38 +0100

2015-12-03T11:35:39 [app] [I] Processing by HostsController#interfaces as */*

2015-12-03T11:35:39 [app] [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"de9jlQRAZzLVhvZdN

en5pOW9E3izSLZL8NDgHBo1bzg=", "host"=>{"name"=>"", "hostgroup_id"=>"", "compute_resource_id"=>"2",

 "environment_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "managed"=>"true", "progre

ss_report_id"=>"[FILTERED]", "type"=>"Host::Managed", "interfaces_attributes"=>{"0"=>{"_destroy"=>

"0", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"", "domain_id"=>"", "ip"=>"", "

managed"=>"1", "primary"=>"1", "provision"=>"1", "virtual"=>"0", "tag"=>"", "attached_to"=>""}, "n

ew_interfaces"=>{"_destroy"=>"1", "type"=>"Nic::Managed", "mac"=>"", "identifier"=>"", "name"=>"",

 "domain_id"=>"", "ip"=>"", "managed"=>"1", "primary"=>"0", "provision"=>"0", "virtual"=>"0", "tag

"=>"", "attached_to"=>""}}, "architecture_id"=>"", "provision_method"=>"build", "build"=>"1", "dis

k"=>"", "root_pass"=>"[FILTERED]", "is_owned_by"=>"2-Users", "enabled"=>"1", "model_id"=>"", "comm

ent"=>"", "overwrite"=>"false"}, "fakepassword"=>"[FILTERED]"}

2015-12-03T11:35:39 [app] [I]   Rendered nic/_base_form.html.erb (20.3ms)

2015-12-03T11:35:39 [app] [I]   Rendered nic/_virtual_form.html.erb (1.2ms)

2015-12-03T11:35:39 [sql] [I] Successfully decrypted field for Foreman::Model::Vmware cluster_str

2015-12-03T11:35:41 [app] [I]   Rendered compute_resources_vms/form/vmware/_base.html.erb (2898.7m

s)

2015-12-03T11:35:44 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (5557

.1ms)

2015-12-03T11:35:44 [app] [I]   Rendered nic/_provider_specific_form.html.erb (5564.6ms)

2015-12-03T11:35:44 [app] [I]   Rendered nic/manageds/_managed.html.erb (5629.2ms)

2015-12-03T11:35:44 [app] [I]   Rendered nic/_base_form.html.erb (6.5ms)

2015-12-03T11:35:44 [app] [I]   Rendered nic/_virtual_form.html.erb (0.7ms)
2015-12-03T11:35:45 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (3810.

4ms)

2015-12-03T11:35:49 [app] [I]   Rendered compute_resources_vms/form/vmware/_volume.html.erb (3897.

2ms)

2015-12-03T11:35:49 [app] [I]   Rendered compute_resources_vms/form/_volumes.html.erb (7711.4ms)

2015-12-03T11:35:49 [app] [I]   Rendered hosts/_compute_detail.html.erb (10624.6ms)

2015-12-03T11:35:49 [app] [I]   Rendered hosts/_compute.html.erb (11024.5ms)

2015-12-03T11:35:49 [app] [I] Completed 200 OK in 11045.1ms (Views: 11026.7ms | ActiveRecord: 5.1m

s)

2015-12-03T11:35:49 [app] [F]

 | Mysql2::Error (closed MySQL connection):

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_r

equest'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_

and_process_next_request'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:109:in `main_lo

op'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:455:in `block (3 levels) in st

art_threads'

 |

 |

2015-12-03T11:35:50 [app] [I]   Rendered compute_resources_vms/form/vmware/_network.html.erb (5335

.1ms)

2015-12-03T11:35:50 [app] [I]   Rendered nic/_provider_specific_form.html.erb (5335.8ms)

2015-12-03T11:35:50 [app] [I]   Rendered nic/manageds/_managed.html.erb (5346.4ms)

2015-12-03T11:35:50 [app] [I]   Rendered hosts/_interfaces.html.erb (10983.0ms)

2015-12-03T11:35:50 [app] [I]   Rendered hosts/_interfaces_tab.html.erb (10986.0ms)

2015-12-03T11:35:50 [app] [I] Completed 200 OK in 11159.8ms (Views: 10988.9ms | ActiveRecord: 15.5

ms)

2015-12-03T11:35:50 [app] [F]

 | Mysql2::Error (closed MySQL connection):

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_r

equest'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_

and_process_next_request'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:109:in `main_lo

op'

 |   /usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:455:in `block (3 levels) in st

art_threads'

 |

 |

History

#1 - 05/20/2017 07:45 AM - Anonymous

what's the status with current versions?

#2 - 06/02/2017 06:55 PM - Anonymous

- Status changed from New to Feedback
